=== src/celengine/CMakeLists.txt ===
set(CELENGINE_SOURCES
  asterism.cpp
  asterism.h
  astroobj.h
  atmosphere.h
  axisarrow.cpp
  axisarrow.h
  body.cpp
  body.h
  boundaries.cpp
  boundaries.h
  category.cpp
  category.h
  completion.cpp
  completion.h
  console.cpp
  console.h
  constellation.cpp
  constellation.h
  curveplot.cpp
  curveplot.h
  deepskyobj.cpp
  deepskyobj.h
  dsodb.cpp
  dsodb.h
  dsodbbuilder.cpp
  dsodbbuilder.h
  dsooctree.cpp
  dsooctree.h
  dsorenderer.cpp
  dsorenderer.h
  fisheyeprojectionmode.cpp
  fisheyeprojectionmode.h
  frame.cpp
  frame.h
  framebuffer.cpp
  framebuffer.h
  frametree.cpp
  frametree.h
  galaxy.cpp
  galaxy.h
  galaxyform.cpp
  galaxyform.h
  geometry.h
  glmarker.cpp
  globular.cpp
  globular.h
  glshader.cpp
  glshader.h
  glsupport.cpp
  glsupport.h
  lightenv.h
  location.cpp
  location.h
  lodspheremesh.cpp
  lodspheremesh.h
  mapmanager.cpp
  mapmanager.h
  marker.cpp
  marker.h
  meshmanager.cpp
  meshmanager.h
  modelgeometry.cpp
  modelgeometry.h
  multitexture.cpp
  multitexture.h
  name.cpp
  name.h
  nebula.cpp
  nebula.h
  objectrenderer.h
  observer.cpp
  observer.h
  octree.h
  octreebuilder.h
  opencluster.cpp
  opencluster.h
  orbitsampler.h
  overlay.cpp
  overlay.h
  overlayimage.cpp
  overlayimage.h
  parseobject.cpp
  parseobject.h
  perspectiveprojectionmode.cpp
  perspectiveprojectionmode.h
  planetgrid.cpp
  planetgrid.h
  pointstarrenderer.cpp
  pointstarrenderer.h
  pointstarvertexbuffer.cpp
  pointstarvertexbuffer.h
  projectionmode.cpp
  projectionmode.h
  rectangle.h
  referencemark.h
  rendcontext.cpp
  rendcontext.h
  render.cpp
  render.h
  renderflags.h
  renderglsl.cpp
  renderglsl.h
  renderinfo.h
  renderlistentry.h
  rotationmanager.cpp
  rotationmanager.h
  selection.cpp
  selection.h
  shadermanager.cpp
  shadermanager.h
  shared.h
  simulation.cpp
  simulation.h
  skygrid.h
  solarsys.cpp
  solarsys.h
  spheremesh.cpp
  spheremesh.h
  starbrowser.cpp
  starbrowser.h
  starcolors.cpp
  starcolors.h
  star.cpp
  star.h
  stardb.cpp
  stardb.h
  stardbbuilder.cpp
  stardbbuilder.h
  starname.cpp
  starname.h
  staroctree.cpp
  staroctree.h
  stellarclass.cpp
  stellarclass.h
  surface.h
  texmanager.cpp
  texmanager.h
  textlayout.cpp
  textlayout.h
  texture.cpp
  texture.h
  timeline.cpp
  timeline.h
  timelinephase.cpp
  timelinephase.h
  trajmanager.cpp
  trajmanager.h
  univcoord.h
  universe.cpp
  universe.h
  viewporteffect.h
  viewporteffect.cpp
  virtualtex.cpp
  virtualtex.h
  visibleregion.cpp
  visibleregion.h
)

add_library(celengine OBJECT ${CELENGINE_SOURCES})

gperf_add_table(celengine location.gperf location.cpp 4)
gperf_add_table(celengine solarsys.gperf solarsys.cpp 4)
