=== src/tools/celestia-gaia-stardb/requirements.txt ===
Arpeggio==1.10.2
astroid==2.9.0
astropy==5.0
astropy-healpix==0.6
astroquery==0.4.4
beautifulsoup4==4.10.0
certifi==2021.10.8
cffi==1.15.0
charset-normalizer==2.0.9
cryptography==36.0.1
html5lib==1.1
idna==3.3
importlib-metadata==4.9.0
isort==5.10.1
jeepney==0.7.1
keyring==23.4.0
lazy-object-proxy==1.7.1
maturin==0.12.4
mccabe==0.6.1
numpy==1.21.4
packaging==21.3
platformdirs==2.4.0
pycparser==2.21
pyerfa==2.0.0.1
pylint==2.12.2
pyparsing==3.0.6
pyvo==1.2
PyYAML==6.0
requests==2.26.0
SecretStorage==3.3.1
six==1.16.0
soupsieve==2.3.1
toml==0.10.2
typing_extensions==4.0.1
urllib3==1.26.7
webencodings==0.5.1
wrapt==1.13.3
zipp==3.6.0
