=== debian/changelog ===
celestia (1.7.0~git20250418+fab96cc-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable the Qt 6 version.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Apr 2025 10:28:45 -0700

celestia (1.7.0~git20190807+d9746691+0) UNRELEASED; urgency=medium

  * New snapshot build

 -- Hleb Valoshka <375gnu@gmail.com>  Wed, 07 Aug 2019 18:47:48 +0300

celestia (1.6.1+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix mips64(el) build: don't use mips as variable name (Closes: 754266).

 -- YunQiang Su <syq@debian.org>  Thu, 16 Oct 2014 18:21:52 +0800
