=== debian/control ===
Source: celestia
Section: science
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hleb Valoshka <375gnu@gmail.com>
Build-Depends: chrpath,
               cmake (>= 3.1~),
               debhelper (>= 10~),
               gperf,
               libavcodec-dev,
               libavformat-dev,
               libavif-dev,
               libavutil-dev,
               libboost-dev,
               libeigen3-dev (>= 3.3~),
               libepoxy-dev,
               libfmt-dev,
               libfreetype6-dev,
               libglu1-mesa-dev,
               libicu-dev,
               libjpeg62-turbo-dev | libjpeg-dev,
               libluajit-5.1-dev,
               libpng-dev (>= 1.6) | libpng16-dev,
               libqt5opengl5-dev,
               libsdl2-dev,
               libswscale-dev,
               libwayland-dev,
               ninja-build,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtbase5-private-dev,
               wayland-protocols
Standards-Version: 4.0.0
Homepage: https://github.com/CelestiaProject/Celestia

Package: celestia-common
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~)
Depends: fonts-dejavu-core, ${misc:Depends}
Description: common files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the files common for all Celestia frontends.

Package: celestia
Architecture: all
Depends: celestia-qt5 | celestia-sdl, ${misc:Depends}
Description: real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This is a dummy package that selects at least one frontend for Celestia.

Package: celestia-qt5
Section: science
Architecture: any
Depends: celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (Qt5 frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the Qt5 frontend for Celestia.

Package: celestia-sdl
Architecture: any
Depends: celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (SDL frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the SDL frontend for Celestia.

Package: libcelestia1.7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: tzdata
Description: Library for the Celestia space simulator
 This package includes the libcelestia library, which is
 necessary to run Celestia.

Package: celestia-tools
Architecture: any
Depends: libcelestia1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (tools)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains tools required to create data files for Celestia.
